FUNCTION::PRINT_SYMS(3stap)

NAME
function::print_syms - Print out kernel stack from string

SYNOPSIS

    print_syms(callers:string)

ARGUMENTS

callers
    String with list of hexadecimal (kernel) addresses

DESCRIPTION

This function performs a symbolic lookup of the addresses in the given string, which are assumed to be the result of prior calls to stack, callers, and similar functions.

Prints one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function, as obtained by symdata. Returns nothing.

SEE ALSO
tapset::context-symbols(3stap)